org.crosswire.jsword.examples

## Class GatherAllReferences

- java.lang.Object
- - org.crosswire.jsword.examples.GatherAllReferences

-     public final class GatherAllReferences
      extends Object

  Gather all references.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static Pattern` | `gbfPassagePattern`
    `private static org.slf4j.Logger` | `log` The log stream
    `private static Pattern` | `osisPassagePattern`
    `private static PrintWriter` | `out`
    `private static Pattern` | `thmlPassagePattern`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `GatherAllReferences()` Prevent instantiation

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` Read all the books that we can get our hands on.
    `private static void` | `readBook(Book book, Key set)` Perform a test read on an iterator over a set of keys
    `private static void` | `readKey(Book book, Key key, int[] stats)` Perform a test read on a single key

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### thmlPassagePattern

          private static Pattern thmlPassagePattern

    - #### gbfPassagePattern

          private static Pattern gbfPassagePattern

    - #### osisPassagePattern

          private static Pattern osisPassagePattern

    - #### out

          private static PrintWriter out

    - #### log

          private static final org.slf4j.Logger log

      The log stream

  - ### Constructor Detail

    - #### GatherAllReferences

          private GatherAllReferences()

      Prevent instantiation

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws IOException

      Read all the books that we can get our hands on.
      Parameters:
        `args` -
      Throws:
        `IOException`

    - #### readBook

          private static void readBook(Book book,
                      Key set)

      Perform a test read on an iterator over a set of keys

    - #### readKey

          private static void readKey(Book book,
                     Key key,
                     int[] stats)

      Perform a test read on a single key